<?php
if( ! function_exists( 'sorsorak_post_type' ) ) {
function sorsorak_post_type() {
	$labels = array(
		'name' 					=> __('اسلایدر','sorsorak'),
		'singular_name'			=> __('اسلایدرها','sorsorak'),
		'add_new'				=> __('افزودن اسلایدر','sorsorak'),
		'add_new_item'			=>__('افزدون اسلایدر','sorsorak'),
		'edit_item'				=> __('ویرایش اسلایدر','sorsorak'),
		'new_item'				=> __('اسلایدر جدید','sorsorak'),
		'view_item'				=> __('ویرایش اسلایدر','sorsorak'),
 		'all_items'				=>__('همه اسلایدرها','sorsorak'),
 		'search_items'			=> __('جستجو اسلایدرها','sorsorak'),
		'not_found'				=> __('اسلایدری پیدا نشد','sorsorak'),
		'not_found_in_trash'	=> __('لسلایدری در زباله پیدا نشد','sorsorak'),
		'parent_item_colon'		=> '',
		'menu_name'				=> __('سرسرک اسلایدر','sorsorak')
	);
	
	$args = array(
		'labels'				=> $labels,
		'public'				=> true,
		'publicly_queryable'	=> true,
		'show_ui'				=> true, 
		'show_in_menu'			=> true, 
		'query_var'				=> true,
		'rewrite'				=> true,
		'capability_type'		=> 'post',
		'has_archive'			=> false, 
		'hierarchical'			=> false,
		'menu_position'			=> null,
		'supports' => array( 'title' )
	); 

	register_post_type( 'sorsorak', $args );
}
add_action( 'init', 'sorsorak_post_type' );
}

if(  function_exists( 'sorsorak_constructor' ) ) {
include_once SORSORAK_PATH . 'inc/widget-sorsorak.php';
include_once SORSORAK_PATH . 'inc/sao-sorsorak.php';

 if ( !function_exists ( "sorsorak_elementor_widgets" )){
function sorsorak_elementor_widgets() {
 
			
 		 require_once(SORSORAK_PATH . 'inc/elementor-sorsorak.php' );  
			// Register widget
			
		\Elementor\Plugin::instance()->widgets_manager->register_widget_type( new \sorsorak_slider() );  
 
 
}
add_action( 'elementor/widgets/widgets_registered', 'sorsorak_elementor_widgets' );
 }
 
 
 
 
include_once SORSORAK_PATH . 'inc/composer-sorsorak.php';
 
}